Subject: Re: [PATCH iwl-net v1] ice: fix bug with suspend and rebuild

From: Maciej Fijalkowski <[email-masked]>
Date: Thu, 7 Mar 2024 17:10:36 +0100

On Wed, Mar 06, 2024 at 05:41:10PM -0800, Jesse Brandeburg wrote:
> On 3/6/2024 5:33 PM, Jesse Brandeburg wrote:
> > On 3/6/2024 8:56 AM, Maciej Fijalkowski wrote:
> > > > > Fixes: b3e7b3a6ee92 ("ice: prevent NULL pointer deref during reload")
> > > > > Reported-by: Robert Elliott <[email-masked]>
> > > > > Signed-off-by: Jesse Brandeburg <[email-masked]>
> > > > 
> > > > Reviewed-by: Maciej Fijalkowski <[email-masked]>
> > > > 
> > > > Well, that refactor of config path introduced lots of issues. Could
> > > > validation folks include a short list of tests they tried out against
> > > > tested patch?
> 
> That's a good question which I'll follow up on with our team, but please
> don't let it block anything for this patch.

Blocking was not my intent at all, just raising a concern regarding this
ever-lasting issue.

> 
> > > 
> > > Sorry, I got confused and now I saw the same thing Simon pointed out.
> > 
> > Thanks, NP! this thread is for v1, and v2 is already posted with the
> > refactor just moving the CONFIG_FOO in patch 1, and then the real final
> > version of the fix in v2 patch two which switches all the intel drivers
> > over to the new macros.
> 
> oops!
> 
> FYI v2 of this change was posted at https://lore.kernel.org/netdev/[email-masked]/
> 
> Thanks for the review!
>